## javax.xml.rpc.holders
Class ByteArrayHolder

    java.lang.Object
      javax.xml.rpc.holders.ByteArrayHolder

All Implemented Interfaces:
  Holder

public final class ByteArrayHolder
extends java.lang.Object
implements Holder

Holder for `byte[]`s.

Version:
  1.0

Field Summary
`byte[]` `value` The `byte[]` contained by this holder.

Constructor Summary
`ByteArrayHolder()` Make a new `ByteArrayHolder` with a `null` value.
`ByteArrayHolder(byte[] value)` Make a new `ByteArrayHolder` with `value` as the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public byte[] value

  The `byte[]` contained by this holder.

Constructor Detail

### ByteArrayHolder

    public ByteArrayHolder()

  Make a new `ByteArrayHolder` with a `null` value.

### ByteArrayHolder

    public ByteArrayHolder(byte[] value)

  Make a new `ByteArrayHolder` with `value` as the value.

Parameters:
  `value` - the `byte[]` to hold

Copyright © 2005 Apache Web Services Project. All Rights Reserved.